Docs

List discount groups

Returns a paginated list of discount groups.

GET /discount-groups
Returns a paginated list of discount groups. Use the query parameters to page through results.

Requires discount.read permission.

Query parameters

idarray
Return only the IDs specified. Use a comma-separated list to get multiple entities.
afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the meta.pagination.next URL in responses for list operations.
per_pageinteger
Default: 50

Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.

Default: 50; Maximum: 200.

Max: 200
order_bystring
Default: id[DESC]

Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].

Valid fields for ordering: created_at and id.

Response (200)

dataarrayrequired
idstringrequired
Example: dsg_01js2gqehzccfkywgx1jk2mtsp
Unique Paddle ID for this discount group, prefixed with dsg_.
Pattern: ^dsg_[a-z\d]{26}$
namestringrequired
Unique name of this discount group, typically something short and memorable for categorization. Not shown to customers.
Length: 1–500
statusstringrequired
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
paginationobjectrequired
Keys used for working with paginated results.
per_pageintegerrequired
Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
nextstring (uri)required
URL containing the query parameters of the original request, along with the after parameter that marks the starting point of the next page. Always returned, even if has_more is false.
has_morebooleanrequired
Whether this response has another page.
estimated_totalinteger
Example: 999
Estimated number of entities for this response.
Response
{
"data": [
{
"id": "dsg_01gtf15svsqzgp9325ss4ebmwt",
"name": "Black Friday 2024",
"status": "active",
"import_meta": null,
"created_at": "2024-11-28T14:36:14.695Z",
"updated_at": "2024-11-28T14:36:14.695Z"
},
{
"id": "dsg_02gtf15svsqzgp9325ss4ebmwt",
"name": "Cyber Monday 2024 Discounts",
"status": "active",
"import_meta": null,
"created_at": "2024-01-01T16:48:04.473Z",
"updated_at": "2024-01-01T16:48:04.473Z"
}
],
"meta": {
"request_id": "d8f286a6-e049-4a6e-8fa8-a6f145ac3ecf",
"pagination": {
"per_page": 50,
"next": "https://api.paddle.com/discount-groups?after=dsg_01gtf15svsqzgp9325ss4ebmwt",
"has_more": false,
"estimated_total": 2
}
}
}

Was this page helpful?